### MATLAB_SBML_STRUCTURE_FUNCTIONS

These are general functions for working with MATLAB_SBML structures.

Function are:

#### level = GetLevel(SBMLStructure)

Takes

1. SBMLStructure, any SBML structure

Returns

1. the SBML level corresponding to this structure

NOTE: it is not always possible to uniquely determine the level from a structure. The most recent SBML level that matches will be reported.

#### [level, version] = GetLevelVersion(SBMLStructure)

Takes

1. SBMLStructure, any SBML structure

Returns

1. the SBML level corresponding to this structure
2. the SBML version corresponding to this structure

NOTE: it is not always possible to uniquely determine the level/version from a structure. The most recent SBML level/version that matches will be reported.

#### SBMLStructure = Object_create(typecode, level, version)

Takes

1. typecode; a string representing the type of object being queried
2. level; an integer representing an SBML level
3. version; an integer representing an SBML version

Returns

1. an SBML structure representing the given typecode, level and version

#### identical = areIdentical(SBMLStruct1, SBMLStruct2)

Takes

1. SBMLStruct1, any SBML structure
2. SBMLStruct2, any SBML structure

Returns

1. identical =
   - 1 if the structures are identical i.e. contain same fields and the same values
   - 0 otherwise